export declare type ComponentDirections = typeof componentDirections[number];

export declare const componentDirections: readonly ["left", "right", "top", "bottom"];

export declare type ComponentOrientations = typeof componentOrientations[number];

export declare const componentOrientations: readonly ["horizontal", "vertical"];

export declare type ComponentSeverities = typeof componentSeverities[number];

export declare const componentSeverities: readonly ["error", "warning", "info", "success"];

export declare type ComponentSizes = (typeof componentSizes)[number];

export declare const componentSizes: readonly ["small", "medium", "large"];

export declare const iconSize: Record<ComponentSizes, string>;

export declare const UPDATE_MODEL_EVENT = "update:modelValue";

export { }
